Events
List events
Requires `EVENTS_READ` (`CONTACTS_READ` or `CONTACTS_WRITE` also work). Newest first, with a registration count per event. App callers only see events with `showInCommunity` on, without the CRM pipeline, and with `formId` / `form` only for a published form shown in community (see `Event`).
Requires EVENTS_READ (CONTACTS_READ or CONTACTS_WRITE also work). Newest first, with a registration count per event. App callers only see events with showInCommunity on, without the CRM pipeline, and with formId / form only for a published form shown in community (see Event).
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
value <= 100Default
50offset?integer
Range
0 <= valueDefault
0Response Body
application/json
application/json
curl -X GET "https://example.com/events"{ "data": [ { "id": "string", "workspaceId": "string", "name": "string", "slug": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "timezone": "string", "offerStartsAt": "2019-08-24T14:15:22Z", "status": "SCHEDULED", "formId": "string", "form": { "id": "string", "name": "string" }, "pipelineId": "string", "pipeline": { "id": "string", "name": "string" }, "productIds": [ "string" ], "showInCommunity": true, "counts": { "registered": 0, "PENDING": 0, "ATTENDED": 0, "LEFT_EARLY": 0, "NO_SHOW": 0, "UNCLASSIFIED": 0 }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "limit": 0, "offset": 0 }}
Planeward Docs